CacheableTreeDataModel (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.CacheableTreeDataModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class CacheableTreeDataModel

    java.lang.Object
      javax.faces.model.DataModel
          org.ajax4jsf.model.ExtendedDataModel
              org.richfaces.model.AbstractTreeDataModel
                  org.richfaces.model.TreeDataModel
                      org.richfaces.component.CacheableTreeDataModel

Direct Known Subclasses:
  CacheableTreeRequestDataModel

    public class CacheableTreeDataModel

extends org.richfaces.model.TreeDataModel

Author:
  Nick - mailto:nbelaevski@exadel.com created 08.01.2007

Field Summary

Fields inherited from class org.richfaces.model.AbstractTreeDataModel
`SEPARATOR`

Constructor Summary
`CacheableTreeDataModel(org.richfaces.model.TreeDataModel model)`

Method Summary
`org.richfaces.model.TreeDataModel` | `getTreeDataModel()`
`boolean` | `isLeaf()`
`boolean` | `isTransient()`
`void` | `setRowData(java.lang.Object object)`
`void` | `setTransient(boolean newTransientValue)`
`void` | `setTreeDataModel(org.richfaces.model.TreeDataModel treeDataModel)`
`void` | `walk(javax.faces.context.FacesContext context, org.ajax4jsf.model.DataVisitor dataVisitor, org.ajax4jsf.model.Range range, java.lang.Object rowKey, java.lang.Object argument, boolean last)`
`void` | `walkModel(javax.faces.context.FacesContext context, org.ajax4jsf.model.DataVisitor visitor, org.ajax4jsf.model.Range range, java.lang.Object key, java.lang.Object argument, boolean last)`

Methods inherited from class org.richfaces.model.TreeDataModel
`doWalk, getRowData, getRowKey, getTreeNode, isRowAvailable, locateTreeNode, locateTreeNode, setRowKey`

Methods inherited from class org.richfaces.model.AbstractTreeDataModel
`getRowCount, getRowIndex, getWrappedData, processElement, setRowIndex, setWrappedData, walk`

Methods inherited from class org.ajax4jsf.model.ExtendedDataModel
`getSerializableModel`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheableTreeDataModel

    public CacheableTreeDataModel(org.richfaces.model.TreeDataModel model)

Method Detail

### isLeaf

    public boolean isLeaf()

  Overrides:
    `isLeaf` in class `org.richfaces.model.TreeDataModel`

### walkModel

    public void walkModel(javax.faces.context.FacesContext context,
                          org.ajax4jsf.model.DataVisitor visitor,
                          org.ajax4jsf.model.Range range,
                          java.lang.Object key,
                          java.lang.Object argument,
                          boolean last)
                   throws java.io.IOException

  Overrides:
    `walkModel` in class `org.richfaces.model.TreeDataModel`
  Throws:
    `java.io.IOException`

### setTreeDataModel

    public void setTreeDataModel(org.richfaces.model.TreeDataModel treeDataModel)

### getTreeDataModel

    public org.richfaces.model.TreeDataModel getTreeDataModel()

### walk

    public void walk(javax.faces.context.FacesContext context,
                     org.ajax4jsf.model.DataVisitor dataVisitor,
                     org.ajax4jsf.model.Range range,
                     java.lang.Object rowKey,
                     java.lang.Object argument,
                     boolean last)
              throws java.io.IOException

  Overrides:
    `walk` in class `org.richfaces.model.TreeDataModel`
  Throws:
    `java.io.IOException`

### setRowData

    public void setRowData(java.lang.Object object)

### isTransient

    public boolean isTransient()

### setTransient

    public void setTransient(boolean newTransientValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.